# SocketOption class

The SocketOption is used as a parameter to Socket.setOption and RawSocket.setOption to set customize the behaviour of the underlying socket.

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited

## Constants

TCP_NODELAY → const SocketOption
  @Deprecated("Use tcpNoDelay instead")
  `tcpNoDelay`
tcpNoDelay → const SocketOption
  Enable or disable no-delay on the socket. If tcpNoDelay is enabled, the socket will not buffer data internally, but instead write each data chunk as an individual TCP packet. [...]
  `const SocketOption._(0)`